Bug 56616 - Missing CS1629 for unsafe code in iterators
Summary: Missing CS1629 for unsafe code in iterators
Status: RESOLVED FIXED
Alias: None
Product: Compilers
Classification: Mono
Component: C# (show other bugs)
Version: 5.2 (2017-04)
Hardware: PC Mac OS
: --- normal
Target Milestone: ---
Assignee: Marek Safar
URL:
Depends on:
Blocks:
 
Reported: 2017-05-18 13:24 UTC by Rolf Bjarne Kvinge [MSFT]
Modified: 2017-05-19 16:48 UTC (History)
1 user (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
test.cs (429 bytes, text/plain)
2017-05-18 13:24 UTC, Rolf Bjarne Kvinge [MSFT]
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Rolf Bjarne Kvinge [MSFT] 2017-05-18 13:24:08 UTC
Created attachment 22266 [details]
test.cs

Repro: compile attached test case

$ mcs -unsafe test.cs
[no errors]
$ csc -unsafe test.cs
Microsoft (R) Visual C# Compiler version 2.0.0.61404
Copyright (C) Microsoft Corporation. All rights reserved.

test.cs(19,12): error CS1629: Unsafe code may not appear in iterators
test.cs(19,32): error CS1629: Unsafe code may not appear in iterators
test.cs(18,18): error CS1629: Unsafe code may not appear in iterators
Comment 1 Rolf Bjarne Kvinge [MSFT] 2017-05-18 13:24:19 UTC
$ mono --version
Mono JIT compiler version 5.2.0.90 (2017-04/bed9e6b Wed May  3 15:03:04 EDT 2017)
Copyright (C) 2002-2014 Novell, Inc, Xamarin Inc and Contributors. www.mono-project.com
	TLS:           normal
	SIGSEGV:       altstack
	Notification:  kqueue
	Architecture:  amd64
	Disabled:      none
	Misc:          softdebug 
	LLVM:          yes(3.6.0svn-mono-master/8b1520c)
	GC:            sgen (concurrent by default)
Comment 2 Marek Safar 2017-05-19 16:48:32 UTC
Fixed in master